Zum Hauptinhalt springen

Get an SFTP user

GET/v2/sftp-users/{sftpUserId}
API-Version
v2
Request-Methode
GET
Operation-ID
sftp-user-get-sftp-user

Request​

  • sftpUserIdstringrequired

    ID of the SFTPUser to get.

Responses​

Format
application/json
Beschreibung

OK

  • accessLevelstring (einer von: full, read, unspecified)required

    The level of access for an SFTPUser.

  • activeboolean
  • authUpdatedAtstring (date-time)required
  • createdAtstring (date-time)required
  • descriptionstringrequired
  • detailedPublicKeysArray von object
    • Array[

      A representation of an ssh-public-key, enriched with information derived from the key.

      • *object

        A representation of an ssh-public-key, enriched with information derived from the key.

        • algorithmstring

          Absent if the key cannot be parsed.

        • commentstringrequired
        • fingerprintstring

          SHA256 fingerprint in OpenSSH format, as printed by ssh-keygen -l. Absent if the key cannot be parsed.

        • keystringrequired
      ]
  • directoriesArray von string
    • Array[
      • *string
      ]
  • expiresAtstring (date-time)
  • hasPasswordbooleanrequired
  • idstringrequired
  • projectIdstringrequired
  • publicKeysArray von objectdeprecated

    deprecated by detailedPublicKeys

    • Array[

      A representation of an ssh-public-key.

      • *object

        A representation of an ssh-public-key.

        • commentstringrequired
        • keystringrequired
      ]
  • updatedAtstring (date-time)
  • userNamestringrequired
Content-Type: application/json

{
"accessLevel": "full",
"active": true,
"authUpdatedAt": "1985-10-26T01:21:00.000Z",
"createdAt": "1985-10-26T01:21:00.000Z",
"description": "string",
"detailedPublicKeys": [
{
"algorithm": "ssh-ed25519",
"comment": "string",
"fingerprint": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"key": "string"
}
],
"directories": [
"string"
],
"expiresAt": "1985-10-26T01:21:00.000Z",
"hasPassword": true,
"id": "string",
"projectId": "string",
"updatedAt": "1985-10-26T01:21:00.000Z",
"userName": "string"
}
{
"description": "A representation of an SFTPUser.",
"properties": {
"accessLevel": {
"description": "The level of access for an SFTPUser.",
"enum": [
"full",
"read",
"unspecified"
],
"type": "string"
},
"active": {
"type": "boolean"
},
"authUpdatedAt": {
"format": "date-time",
"type": "string"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"description": {
"type": "string"
},
"detailedPublicKeys": {
"items": {
"description": "A representation of an ssh-public-key, enriched with information derived from the key.",
"properties": {
"algorithm": {
"description": "Absent if the key cannot be parsed.",
"example": "ssh-ed25519",
"type": "string"
},
"comment": {
"type": "string"
},
"fingerprint": {
"description": "SHA256 fingerprint in OpenSSH format, as printed by `ssh-keygen -l`. Absent if the key cannot be parsed.",
"example": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"directories": {
"items": {
"type": "string"
},
"type": "array"
},
"expiresAt": {
"format": "date-time",
"type": "string"
},
"hasPassword": {
"type": "boolean"
},
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"publicKeys": {
"deprecated": true,
"description": "deprecated by detailedPublicKeys",
"items": {
"description": "A representation of an ssh-public-key.",
"properties": {
"comment": {
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"updatedAt": {
"format": "date-time",
"type": "string"
},
"userName": {
"type": "string"
}
},
"required": [
"id",
"projectId",
"description",
"userName",
"createdAt",
"authUpdatedAt",
"accessLevel",
"hasPassword"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/sftp-users/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.sshsftpUser.sftpUserGetSftpUser({
"sftpUserId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\SSHSFTPUser\SftpUserGetSftpUser\SftpUserGetSftpUserRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new SftpUserGetSftpUserRequest(
sftpUserId: "string"
));
$response = $client->sshsftpUser()->sftpUserGetSftpUser($request);

var_dump($response->getBody();

Auf dieser Seite